summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2013-11-11 17:47:30 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-11-11 15:13:30 -0600
commit4875558bc8bddf8faeb70e879765dba5a02d9552 (patch)
treedeea1001af3814f24a153214637e35b09a15a643 /graphics
parent17663229fcba16dc6ec51e45436b44fab39b6d64 (diff)
downloadslackbuilds-4875558bc8bddf8faeb70e879765dba5a02d9552.tar.gz
slackbuilds-4875558bc8bddf8faeb70e879765dba5a02d9552.tar.xz
graphics/dblatex: Updated for version 0.3.4.
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/dblatex/dblatex-0.3.4-build-fix.patch14
-rw-r--r--graphics/dblatex/dblatex.SlackBuild7
-rw-r--r--graphics/dblatex/dblatex.info6
3 files changed, 22 insertions, 5 deletions
diff --git a/graphics/dblatex/dblatex-0.3.4-build-fix.patch b/graphics/dblatex/dblatex-0.3.4-build-fix.patch
new file mode 100644
index 0000000000..c9424d08bf
--- /dev/null
+++ b/graphics/dblatex/dblatex-0.3.4-build-fix.patch
@@ -0,0 +1,14 @@
+--- setup.py.old 2012-11-08 20:33:26.224458028 +0100
++++ setup.py 2012-11-08 20:33:41.656633881 +0100
+@@ -365,10 +365,7 @@ class Install(install):
+ raise OSError("not found: %s" % ", ".join(mis_stys))
+
+ def run(self):
+- if self.install_layout == "deb":
+- db = DebianInstaller(self)
+- else:
+- db = None
++ db = None
+
+ if not(db) and not(self.nodeps):
+ try:
diff --git a/graphics/dblatex/dblatex.SlackBuild b/graphics/dblatex/dblatex.SlackBuild
index c91366699c..64258e67e8 100644
--- a/graphics/dblatex/dblatex.SlackBuild
+++ b/graphics/dblatex/dblatex.SlackBuild
@@ -5,7 +5,7 @@
# Written by Vincent Batts, vbatts@hashbangbash.com
PRGNAM=dblatex
-VERSION=${VERSION:-0.3}
+VERSION=${VERSION:-0.3.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,6 +51,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix build
+patch -p0 -i $CWD/dblatex-0.3.4-build-fix.patch
+
python setup.py build
python setup.py install --root=$PKG
diff --git a/graphics/dblatex/dblatex.info b/graphics/dblatex/dblatex.info
index ade554346e..1b9b782545 100644
--- a/graphics/dblatex/dblatex.info
+++ b/graphics/dblatex/dblatex.info
@@ -1,8 +1,8 @@
PRGNAM="dblatex"
-VERSION="0.3"
+VERSION="0.3.4"
HOMEPAGE="http://dblatex.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/dblatex/dblatex-0.3.tar.bz2"
-MD5SUM="7de6bf72b8b2934169ce0ec911e966ed"
+DOWNLOAD="http://downloads.sourceforge.net/dblatex/dblatex-0.3.4.tar.bz2"
+MD5SUM="a511a2eaa55757b341e4c46353c5c681"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""